sc::StreSimpleCo(3)

NAME
sc::StreSimpleCo - The StreSimpleCo class describes an stretch internal coordinate of a molecule.

SYNOPSIS

#include <simple.h>

Inherits sc::SimpleCo.

  Public Member Functions
StreSimpleCo (const StreSimpleCo &)
StreSimpleCo (const char *, int, int)
This constructor takes a string containing a label, and two integers which are the indices of the atoms we're measuring the distance between.
StreSimpleCo (const Ref< KeyVal > &)
The KeyVal constructor.
const char * ctype () const
Always returns the string 'STRE'.
double bohr () const
Returns the distance between the two atoms in atomic units.
double angstrom () const
Returns the distance between the two atoms in angstrom units.
double preferred_value () const
Returns the distance between the two atoms in angstrom units.

Detailed Description

The StreSimpleCo class describes an stretch internal coordinate of a molecule. The input is described in the documentation of its parent class SimpleCo.

Designating the two atoms as $a$ and $b$ and their cartesian positions as $r$ and $rlue of the coordinate, $r$, is

Constructor & Destructor Documentation

  sc::StreSimpleCo::StreSimpleCo (const char *, int, int)

This constructor takes a string containing a label, and two integers which are the indices of the atoms we're measuring the distance between.

Atom numbering begins at atom 1, not atom 0.

  sc::StreSimpleCo::StreSimpleCo (const Ref< KeyVal > &)

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 2.

Author

Generated automatically by Doxygen for MPQC from the source code.